org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Class MemoryCalculator

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.MemoryCalculator

    public class MemoryCalculator
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getHeapUsed()`
`long` `getOffHeapUsed()`
`void` `onHeapAllocated(long bytes)`
`void` `onHeapFree(long bytes)`
`void` `onOffHeapAllocated(long bytes)`
`void` `onOffHeapFree(long bytes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### onHeapAllocated

    public void onHeapAllocated(long bytes)

#### onOffHeapAllocated

    public void onOffHeapAllocated(long bytes)

#### onHeapFree

    public void onHeapFree(long bytes)

#### onOffHeapFree

    public void onOffHeapFree(long bytes)

#### getOffHeapUsed

    public long getOffHeapUsed()

#### getHeapUsed

    public long getHeapUsed()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023